Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing.async
Class ExecutableAdapter

    java.lang.Object
      org.hibernate.testing.async.ExecutableAdapter

All Implemented Interfaces:
  Runnable

    public class ExecutableAdapter

extends Object
implements Runnable

Author:
  Steve Ebersole

Nested Class Summary
`static class` | `ExecutableAdapter.ExceptionWrapper`

Constructor Summary
`ExecutableAdapter(Executable executable)`

Method Summary
`boolean` | `isDone()`
`void` | `reThrowAnyErrors()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutableAdapter

    public ExecutableAdapter(Executable executable)

Method Detail

### isDone

    public boolean isDone()

### reThrowAnyErrors

    public void reThrowAnyErrors()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.